/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomXMLHttpRequestUpload_H___INT_
#define __GdomXMLHttpRequestUpload_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "XMLHttpRequestUpload.h"
namespace WebCore {
    gpointer toGDOM(XMLHttpRequestUpload* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMXMLHttpRequestUpload : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_XML_HTTP_REQUEST_UPLOAD; }
    GDOMXMLHttpRequestUpload(PassRefPtr<WebCore::XMLHttpRequestUpload> impl);
    virtual ~GDOMXMLHttpRequestUpload();
    WebCore::XMLHttpRequestUpload* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::XMLHttpRequestUpload> m_impl;
};
G_END_DECLS

#endif /* __GdomXMLHttpRequestUpload_H___INT_*/
